# $Revision: 1.17 $, $Date: 2004/04/26 22:12:20 $
#
# Conditional build:
%bcond_with	mmx	# use MMX (makes sense on i586/i686)
#
%ifarch athlon pentium3 pentium4
%define	with_mmx	1
%endif
Summary:	Fast movie recorder and player for Linux
Summary(pl):	Szybka nagrywarka i odtwarzacz filmw pod Linuksa
Name:		NuppelVideo
Version:	0.52a
Release:	5
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://frost.htu.tuwien.ac.at/~roman/nuppelvideo/%{name}-%{version}.tar.gz
# Source0-md5:	320fa43a19c71778ea0d403528125c1e
Patch0:		%{name}-make.patch
Patch1:		%{name}-nonx86.patch
URL:		http://frost.htu.tuwien.ac.at/~roman/nuppelvideo/
BuildRequires:	XFree86-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NuppelVideo is a simple low consuming and fast capture program for
bttv-cards (BT8x8) it is based on the RTjpeg2.0 test3* programs from
Justin Schoemann, who wrote the very fast and fine RTjpeg2.0 codec
(improved by Joerg Walter and Wim Taymans).

%description -l pl
NuppelVideo jest prostym, mao zasoboernym i szybkim programem do
zrzucania obrazu z kart bttv (BT8x8) bazujcym na programach RTjpeg2.0
test3* Justina Schoemanna, ktry napisa bardzo szybki i dobry codec
RTjpeg2.0 (poprawiony przez Joerga Waltera i Wima Taymansa).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's@-L/usr/X11R6/lib@-L/usr/X11R6/%{_lib}@' Makefile

%build
%{__make} \
	CC=%{__cc} \
	COPTS="%{rpmcflags}%{?with_mmx: -DMMX}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* LICENSE*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: NuppelVideo.spec,v $
Revision 1.17  2004/04/26 22:12:20  qboosh
- added mmx bcond, fixed build on amd64, release 5

Revision 1.16  2004/04/26 07:16:20  adamg
- release 4 (3 is for Ra)

Revision 1.15  2003/10/30 11:55:45  qboosh
- added nonx86 patch; License is GPL v2

Revision 1.14  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.13  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.10  2002/12/20 15:57:04  qboosh
- updated URLs

Revision 1.9  2002/11/29 22:45:54  ankry
- massive attack: new %%doc

Revision 1.8  2002/09/11 09:09:47  qboosh
- disabled MMX on i686 - no runtime detection; release 3

Revision 1.7  2002/04/25 09:22:15  marcus
- %%ix86 only (asm inlines)

Revision 1.6  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/26 13:14:16  filon
- athlon updates
- release 2

Revision 1.4  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/03 10:49:35  qboosh
- pl translations

Revision 1.2  2001/08/30 12:30:14  kloczek
- added BuildRequires rules,
- fixes for correct using $RPM_OPT_FLAGS,
- -DMMX use only for i686 target,
- s/GNU/GPL/ in License.
NOTE: probably it will be good add desktop file.

Revision 1.1  2001/08/30 10:41:11  pascalek
- initial revision
